Package javax.help

# Class FlatMap.FlatMapResourceBundle

java.lang.Object
java.util.ResourceBundle
javax.help.FlatMap.FlatMapResourceBundle

All Implemented Interfaces:
  `ParserListener`, `Serializable`, `EventListener`

Enclosing class:
  `FlatMap`

protected class FlatMap.FlatMapResourceBundle extends ResourceBundle implements ParserListener, Serializable
FlatMapResourceBundle is a ResourceBundle but unlike most ResourceBundles it is not locale-based and is loaded via the constructor, not getBundle.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.ResourceBundle

`ResourceBundle.Control`

## Field Summary

### Fields inherited from class java.util.ResourceBundle

`parent`

## Constructor Summary

Constructors
Constructor
Description
`FlatMapResourceBundle(URL url)`
Creates the FlatMap from the data.

## Method Summary

Modifier and Type
Method
Description
`void`
`commentFound(ParserEvent e)`
This tells the listener that a comment was parsed
`void`
`doctypeFound(ParserEvent e)`
A DOCTYPE was parsed.
`void`
`errorFound(ParserEvent e)`
This tells the listener that a error was parsed
`Enumeration`
`getKeys()`
Implements ResourceBundle.getKeys.
`final Object`
`handleGetObject(String key)`
Overrides ResourceBundle, same semantics.
`Enumeration`
`listMessages()`
Enumerates all the error messages.
`void`
`piFound(ParserEvent e)`
A PI was parsed.
`void`
`reportMessage(String msg, boolean validParse)`
Reports an error message.
`void`
`tagFound(ParserEvent e)`
A tag was parsed.
`void`
`textFound(ParserEvent e)`
A continous block of text was parsed.

### Methods inherited from class java.util.ResourceBundle

`clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FlatMapResourceBundle

public FlatMapResourceBundle(URL url)
Creates the FlatMap from the data.

## Method Details

### handleGetObject

public final Object handleGetObject(String key)
Overrides ResourceBundle, same semantics.

Specified by:
  `handleGetObject` in class `ResourceBundle`

### getKeys

public Enumeration getKeys()
Implements ResourceBundle.getKeys.

Specified by:
  `getKeys` in class `ResourceBundle`

### tagFound

public void tagFound(ParserEvent e)
A tag was parsed.

Specified by:
  `tagFound` in interface `ParserListener`
Parameters:
  `e` - The event

### piFound

public void piFound(ParserEvent e)
A PI was parsed. This method is not intended to be of general use.

Specified by:
  `piFound` in interface `ParserListener`
Parameters:
  `e` - The event

### doctypeFound

public void doctypeFound(ParserEvent e)
A DOCTYPE was parsed. This method is not intended to be of general use.

Specified by:
  `doctypeFound` in interface `ParserListener`
Parameters:
  `e` - The event

### textFound

public void textFound(ParserEvent e)
A continous block of text was parsed.

Specified by:
  `textFound` in interface `ParserListener`
Parameters:
  `e` - The event

### commentFound

public void commentFound(ParserEvent e)
Description copied from interface: `ParserListener`
This tells the listener that a comment was parsed

Specified by:
  `commentFound` in interface `ParserListener`
Parameters:
  `e` - The event

### errorFound

public void errorFound(ParserEvent e)
Description copied from interface: `ParserListener`
This tells the listener that a error was parsed

Specified by:
  `errorFound` in interface `ParserListener`
Parameters:
  `e` - The event

### reportMessage

public void reportMessage(String msg, boolean validParse)
Reports an error message.

### listMessages

public Enumeration listMessages()
Enumerates all the error messages.